Bug 260202 (freetype2-2.11.1) - [exp-run] Upgrade print/freetype2 to 2.11.1
Summary: [exp-run] Upgrade print/freetype2 to 2.11.1
Status: Closed FIXED
Alias: freetype2-2.11.1
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 08:21 UTC by Tobias C. Berner
Modified: 2021-12-11 09:56 UTC (History)
2 users (show)

See Also:
antoine: exp-run+


Attachments
v1 (1.71 KB, patch)
2021-12-04 08:21 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-12-04 08:21:13 UTC
Created attachment 229875 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run to update print/freetype2 to 2.11.1


The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/0001-print-freetype2-update-to-2.11.1.patch


mfg Tobias
Comment 1 Daniel Engberg freebsd_committer 2021-12-04 19:14:06 UTC
This patch needs a bit more work due to upstream changes from what I can tell?
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=1f742f05bf21234236b54f52c3ef8cc8973131b1
Comment 2 Antoine Brodin freebsd_committer 2021-12-07 09:14:37 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2021-12-11 09:55:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4e4149d6d88132b9c536ac66e32b8accc6bd1f20

commit 4e4149d6d88132b9c536ac66e32b8accc6bd1f20
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-12-04 08:17:44 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-12-11 09:53:46 +0000

    print/freetype2: update to 2.11.1

    Changelog:
      CHANGES BETWEEN 2.11.0 and 2.11.1

      I. IMPORTANT CHANGES

        - Some  fields  in  the  `CID_FaceDictRec`, `CID_FaceInfoRec`, and
          `FT_Data` structures  have been changed  from signed to unsigned
          type,  which  better reflects  the actual usage.  It is also  an
          additional means to protect against malformed input.

      II. MISCELLANEOUS

        - Cmake support  has been  further improved.   To do  that various
          backward-incompatible  changes were  necessary; please  see file
          `CMakeLists.txt` for more details.

        - Since version  2.11.0, a  C99 compiler  is necessary  to compile
          FreeType.

        - The experimental  'COLR' v1 API  has been updated to  the latest
          OpenType standard 1.9.

        - The `apinames` tool got a new  option `-wV` to output an OpenVMS
          Linker Option File.

        - VMS support was updated.

        - MS Visual Studio support was added to build the demo programs.

    PR:             260202
    Exp-run by:     antoine

 print/freetype2/Makefile  | 18 ++++++++----------
 print/freetype2/distinfo  |  6 +++---
 print/freetype2/pkg-plist |  2 +-
 3 files changed, 12 insertions(+), 14 deletions(-)
Comment 4 Tobias C. Berner freebsd_committer 2021-12-11 09:56:36 UTC
Committed, with the additonal required changes to the CMAKE_ARGS as reported by diizzy.

Thanks for the exp-run.


mfg Tobias